summaryrefslogtreecommitdiffstats
path: root/git-version-gen
diff options
context:
space:
mode:
authorGravatar Nikias Bassen2022-02-10 04:35:21 +0100
committerGravatar Nikias Bassen2022-02-10 04:35:21 +0100
commit08aefcd597d26a5d99f64815a2b932c36f056164 (patch)
tree922d4fbc5d50b973fa08cc5ca5a99c148874b3b7 /git-version-gen
parente41dbc3ddbe30a414e73fa25d9c7c304ffe6989e (diff)
downloadlibimobiledevice-08aefcd597d26a5d99f64815a2b932c36f056164.tar.gz
libimobiledevice-08aefcd597d26a5d99f64815a2b932c36f056164.tar.bz2
autoconf: Automatically derive version number from latest git tag
with a fallback to get the version string from a .tarball-version file
Diffstat (limited to 'git-version-gen')
-rwxr-xr-xgit-version-gen19
1 files changed, 19 insertions, 0 deletions
diff --git a/git-version-gen b/git-version-gen
new file mode 100755
index 0000000..3eb6a42
--- /dev/null
+++ b/git-version-gen
@@ -0,0 +1,19 @@
+#!/bin/sh
+SRCDIR=`dirname $0`
+if test -n "$1"; then
+ VER=$1
+else
+ if test -d "${SRCDIR}/.git" && test -x "`which git`" ; then
+ git update-index -q --refresh
+ if ! VER=`git describe --tags --dirty 2>/dev/null`; then
+ COMMIT=`git rev-parse --short HEAD`
+ DIRTY=`git diff --quiet HEAD || echo "-dirty"`
+ VER=`sed -n '1,/RE/s/Version \(.*\)/\1/p' ${SRCDIR}/NEWS`-git-${COMMIT}${DIRTY}
+ fi
+ else
+ if test -f "${SRCDIR}/.tarball-version"; then
+ VER=`cat "${SRCDIR}/.tarball-version"`
+ fi
+ fi
+fi
+printf %s "$VER"